Set a channel as the primary channel for its type.
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId}/primary \
--header 'Authorization: Bearer <token>'{
"channel": {
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Channel set as primary.
A communication channel for a contact.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId}/primary \
--header 'Authorization: Bearer <token>'{
"channel": {
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}